︠379f7731-d78e-41e0-af0b-0b10a77eae8c︠
# Lab 1: Plotting legs of PPTs (template)
reset
︡3523955b-b17f-4eb7-abcb-d3b557aebbc8︡{"stdout":"<function reset at 0x7f539f74f050>"}︡{"stdout":"\n"}︡{"done":true}
︠c659d795-37b6-4033-8979-5bed71c55edc︠
#Part 1: making list of lists [m,n] from fractions without duplicates
#Input: N, the number of diagonals in the table given in the lab description
#Output:list of fractions m/n on the N diagonals without duplicates.
def mn_list(N):
    S=[]# This list will store fractions m/n from the table
    L=[] # This list wil store lists [m,n]
    for n in range(2,N+2):
        temp=[QQ(m)/QQ(n) for m in range(1,n)]# List comprehension constructor is used here
        S.extend(temp)# Learn about command extend and use it here
    S=list(set(S))# This command excludes duplication
    for c in S:
        mn=[numerator(c),denominator(c)]# Make a list [m,n] from the fraction m/n
        L.append(temp)
    return L
︡75e9f455-a9b7-4fa7-9109-e729f4ba0882︡
︠4db7e076-9c84-4ef9-850a-10ef92b65b28︠
def mn_pairs(N):
    L=[];
    for n in range(2,N+2):
        temp=[[m,n] for m in range (1,n)]
        L.extend(temp)
    return L
︡4772fc86-31cc-41c4-89c2-8710f899bfb5︡{"done":true}
︠48bfc045-5277-4749-a397-bec3e5438e97s︠
L=mn_pairs(8);L
︡20dd4a2e-78ce-47b3-9258-25f379539bbb︡{"stdout":"[[1, 2], [1, 3], [2, 3], [1, 4], [2, 4], [3, 4], [1, 5], [2, 5], [3, 5], [4, 5], [1, 6], [2, 6], [3, 6], [4, 6], [5, 6], [1, 7], [2, 7], [3, 7], [4, 7], [5, 7], [6, 7], [1, 8], [2, 8], [3, 8], [4, 8], [5, 8], [6, 8], [7, 8], [1, 9], [2, 9], [3, 9], [4, 9], [5, 9], [6, 9], [7, 9], [8, 9]]\n"}︡{"done":true}
︠58a0c01c-35b2-4c0f-b6ab-3224c2614b64︠
#Part 2: PPT list
#Input: List L of lists [m,n]
#Output: List of ppt_legs of legs [a,b] of PPTs constructed from [m,n] in L according to version 2 of the characterization theorem for PPTs

︡28fae43f-3337-4ef0-addf-5874704d2248︡{"code":{"filename":null,"lineno":-1,"mode":"text/x-rst","source":"[]"}}︡{"stderr":"Traceback (most recent call last):\n  File \"/cocalc/lib/python2.7/site-packages/smc_sagews/sage_parsing.py\", line 533, in introspect\n    obj if not preparse else preparse_code(obj), namespace)\n  File \"<string>\", line 1, in <module>\nNameError: name 'my_ppt_list' is not defined\n"}︡{"done":true}
︠13712e78-7cd3-4025-a9d2-6e19acc86abb︠



#Part 3: Plotting legs of PPTs using data in ppt_legs list
#Learn about the syntax of command list_plot and use the command for this task
import matplotlib.pyplot as plt
from matplotlib.pyplot import figure
︡f512f8dc-64da-49af-a57d-0b40d8cdd979︡{"stderr":"Error in lines 1-1\nTraceback (most recent call last):\n  File \"/cocalc/lib/python2.7/site-packages/smc_sagews/sage_server.py\", line 1188, in execute\n    flags=compile_flags), namespace, locals)\n  File \"\", line 1, in <module>\n  File \"\", line 3, in ppt_legs\nTypeError: 'list' object is not callable\n"}︡{"done":true}
︠0a6e8b68-26a8-4e4f-a90f-071a0c31f5cds︠

def plot_ppt(ppt_legs):
    x=[c[0] for c in ppt_legs]
    y=[c[1] for c in ppt_legs]
    figure(num=None, figsize=(5, 3))
    figure=plt.plot(x, y,'ro',xblue,yblue,'bo',markersize=4)
    plt.show(figure)

︡53f7e0c2-e37a-4572-aa2d-77806e9f0407︡{"done":true}
︠204caa4b-c0da-4b07-b3bf-51c9b9d9b310︠
︡d267247c-6781-49c9-99c9-6e21642a8ec9︡
︠f0ac10e6-4759-4fc2-9a27-7fd446806fe1︠
#Advanced nice snippet of code for plotting (just FYI)
import numpy as np
import matplotlib.pyplot as plt

#evenly sampled time at 200ms intervals
t = np.arange(0., 5., 0.2)

# red dashes, blue squares and green triangles
plt.plot(t, t, 'r--', t, t**2, 'bs', t, t**3, 'g^')
plt.show()









︡3f0e27b1-aa6e-4578-9c7b-b307d72ab567︡
︠b5dd6165-d23a-49e2-8fa0-dd0a503a65ae︠
# Lab 1: Plotting legs of PPTs (template)
reset
︡bda77a8c-b81f-4148-80b0-a1918f4c611c︡{"stdout":"<function reset at 0x7f539f74f050>"}︡{"stdout":"\n"}︡{"done":true}
︠8b14ef50-c512-4b85-a481-624c9d74ca49︠
#Part 1: making list of lists [m,n] from fractions without duplicates
#Input: N, the number of diagonals in the table given in the lab description
#Output:list of fractions m/n on the N diagonals without duplicates.
def mn_list(N):
    S=[]# This list will store fractions m/n from the table
    L=[] # This list wil store lists [m,n]
    for n in range(2,N):
        temp=[QQ(m)/QQ(n) for m in range(1,n)]# List comprehension constructor is used here
        S.extend(temp)# Learn about command extend and use it here
    S=list(set(S))# This command excludes duplication
    for c in S:
        mn=[numerator(c),denominator(c)]# Make a list [m,n] from the fraction m/n
        L.append(temp)
    return L
︡c35515f0-4982-489a-97ad-3e809c985b6d︡{"done":true}
︠e848ec77-8ccc-4cd5-b317-0f50b05b010e︠
testplot=mn_list(10);testplot
︡d3e8f179-c97d-43da-a455-9391c468959c︡{"stdout":"[[1, 2], [1, 3], [2, 3], [1, 4], [3, 4], [1, 5], [2, 5], [3, 5], [4, 5], [1, 6], [5, 6], [1, 7], [2, 7], [3, 7], [4, 7], [5, 7], [6, 7], [3, 8], [5, 8], [1, 9], [7, 8], [4, 9], [5, 9], [7, 9], [8, 9], [1, 8], [2, 9]]\n"}︡{"done":true}
︠8965ce1e-42a9-418f-bbd1-bed815161e2d︠
#Part 2: PPT list
#Input: List L of lists [m,n]
#Output: List of ppt_legs of legs [a,b] of PPTs constructed from [m,n] in L according to version 2 of the characterization theorem for PPTs
...
︡3554e55f-e301-4bfd-8d7e-3202a2fcd2bf︡
︠0c6f87e6-ca21-4bea-bc44-07f044aa1d25︠
#Part 3: Plotting legs of PPTs using data in ppt_legs list
#Learn about the syntax of command list_plot and use the command for this task
import matplotlib.pyplot as plt
from matplotlib.pyplot import figure
︡1fc57f99-ac10-4f96-a305-db377277f4b1︡
︠c721dce9-dc60-45b9-8b3e-bc213f8c2fdb︠

def plot_ppt(ppt_legs):
    x=[c[0] for c in ppt_legs]
    y=[c[1] for c in ppt_legs]
    figure(num=None, figsize=(5, 3))
    figure=plt.plot(x, y,'ro',xblue,yblue,'bo',markersize=4)
    plt.show(figure)

︡0ddc4e80-478a-44a0-b27e-8a78d01ffd12︡{"done":true}
︠11459698-56eb-4cbf-b45c-728bb2c6f8fa︠
︡e5e87f50-fb3a-42c6-970f-574bdb4832f2︡
︠fc27629b-b74d-49d7-b32e-59c0982dfb7d︠
#Advanced nice snippet of code for plotting (just FYI)
import numpy as np
import matplotlib.pyplot as plt

#evenly sampled time at 200ms intervals
t = np.arange(0., 5., 0.2)

# red dashes, blue squares and green triangles
plt.plot(t, t, 'r--', t, t**2, 'bs', t, t**3, 'g^')
plt.show()









